var g_IntroVersion="001.001.7390_01";


//verschiedene Text/Textbausteine
var g_szFullFboxTitle="FRITZ!Box 7490";
var g_szShortFboxTitle="FRITZ!Box";
var g_szFboxTitle="FRITZ!Box";
var g_szFboxSSID="FRITZ!Box Fon WLAN 7490";
var g_szFWLAN="FRITZ!WLAN";
var g_szFullFWLAN="FRITZ!WLAN USB Stick";

var g_dwPDFOpenFlashTimeout=300;
var g_dwAnleitungWEPOpenFlashTimeout=300;


var g_szCopyright="&copy; AVM Berlin 2013";
var g_FboxGuiWidth=1024;
var g_FboxGuiHeight=768;

function WriteIntroVersion()
{
	document.write(g_IntroVersion);	
}

function DoTestForFBoxAssi()
{
	//
	//Soll auf den FBox-Einrichtungsassistenten getestet werden? (1 bedeutet ja)
	return 1;
	
	//Das soll fast immer gemacht werden, aber es gab (gibt?) mal bei einigen
	//FBoxen ohne Einrichtungsassi. trotzdem noch die Einrichtungsassistenten-URL: dann springt
	//man zu der URL, aber die ist dann einfach ein leere/weiße Seite
	//dann einfach:
	//return 0;
	//->man springt dann zur Startseite
}

function WritePowerLED()
{
	//Wie ist die Power-LED beschriftet? Nur "Power" oder "Power/DSL"?
	
	//Power:
	//document.write("Power");
	
	//Power / DSL (bei 7140 und 7170):
	document.write("Power/DSL");
}

function WriteLanConnectText()
{
	//falls die FBox 2 LAN-Buchsen hat(wie die 3050)
	//var szlanConnectText="<LI>Schließen Sie das andere Ende des Netzwerkkabels an eine der beiden LAN-Buchsen (&quot;LAN A&quot; oder &quot;LAN B&quot;) der "+g_szShortFboxTitle+" an.</LI>";
	
	//4
	var szlanConnectText="<LI>Schließen Sie das andere Ende des Netzwerkkabels an eine der vier LAN-Buchsen (&quot;LAN 1&quot; bis &quot;LAN 4&quot;) der "+g_szShortFboxTitle+" an.</LI>";
	
	//!!die 2070 hat/soll ja 4 LAN-Buchsen haben...entsprechend der Text
	
	//falls es eine LAN-Buchse gibt
	//szlanConnectText="Schließen Sie das andere Ende des Netzwerkkabels an die LAN-Buchse der "+g_szShortFboxTitle+" an.</LI>";
	document.write(szlanConnectText);
}

function GetWLANKeyLength()
{
	//wenn die FBox WEp macht
	//return 13;
	
	//wenn die FBox WPA macht
	return 20;
}
function WriteWLANEncString()
{
	//bei WPA
	document.write("WPA");
}

function WriteUSBReadyInstallText()
{
	//bei der SL gibts kein USB-Selfinstall (da startet also der Win-Hardware-Assistent)
	//bei 3050 bspw. dagegen schon (da startet der Win-HW-Assi also nicht)
	//(allgemein noch: diese Funktion wird nicht unter 98/Me verwendet, da dort Slefinstall nicht funktioniert)
	//..wie sieht die genaue Regeln aus?
	
	var szText;
	//3050:
	szText="<p>Die Treiber der ";
	szText+=g_szShortFboxTitle;
	szText+=" werden nun automatisch installiert.</p>";
	
	//SL:
	//szText="<LI>Der Hardware-Assistent von Windows wird gestartet. Folgen Sie den Anweisungen auf dem Bildschirm.</LI>";
	//szText+="<LI>Schlie&szlig;en Sie die Installation mit &quot;Fertig stellen&quot; ab.</LI>";

	document.write(szText);
}
//hat die Box eine USB-Buchse zum Anschluss eines Computers?
function IsFBoxWithUSBSlave()
{
	//Ja, hat sie
	//return 1;
	//Nein, hat sie nicht
	return 0;
}

function GotoSetSWHW98()
{
	//FDSL soll also installiert werden
	document.location.href='software_finish.htm';
}

function GotoPCConnectFinish98()
{
	GotoSetSWHW98();
}


function GotoPCConnectFinish()
{
	//TEST:
	document.location.href='software_finish.htm';
	return;
}


//hat die Box einen Fon-Anschluss?
function IsFBoxWithFon()
{
	return 1;
	//oder falls das eine FBox ohne "Fon-Anteil" ist 
	//return 0;
}
//hat die Box einen S0-Anschluss?
function IsFBoxWithS0()
{
	return 1;
	//die 7390 hat bspw. einen, dann
	//return 1;
}
//hat die FBox einen Box an/aus Schalter?
function IsFBoxWithPowerButton()
{
	return 0;
	//nur die 3070 hat einen, da dann:
	//return 1;
}
//hat die FBox eine WLAN an/aus Schalter?
function IsFBoxWithWLANButton()
{
	//nein -> 0
	//return 0;
	//ja -> 1
	return 1;
}

function IsFBoxWithDSLTELCombi()
{
	//werden DSL- und Telefonanschluss in einer Buchse über Y-Kabel nach aussen geführt?
	//das ist bei der 7170/7140 und 5010/5012 der Fall ist
	
	return 1;
}

function IsFBoxWith3FonCombi()
{
	//
	//wird der Fon-Anschluss über einen 3-fach Verteiler nach aussen geführt(wie bei der 7170)
	//
	return 0;
}


//schreibt einen Text in die anschluss_telefon.htm
function WriteTelefonConnectText()
{
	//
	//der Satz ist abhängig von der Anzahl der Fon-Buchsen(normalerweise/fast immer sind das 2)
	//(die 5010 soll nur eine haben..da wär ein anderer Text nötig, den es noch nicht gibt)
	//
	var szText="Stecken Sie dann den Adapter oder den Stecker des Telefons in die Buchse &quot;FON1&quot; oder &quot;FON2&quot; der "+g_szShortFboxTitle+".";
	document.write(szText);
}


/////////////////////////////////////////////
//das bleibt unverändert
////////////////////////////////////////////
function BackCheckStart()
{
	if (document.all) // Abfrage nur bei IE nötig
		document.onkeydown = BackCheck;
}
function BackCheck(e)
{
	//Backspace und nicht im Textfeld/Form
	if (event.keyCode==8 	&&
        (event.srcElement.form == null || event.srcElement.isTextEdit == false || (event.srcElement.getAttribute("Type","false")=="button")))
        {
        	//deaktiv.
        	 return false;
 	}
 	//ALT LEFT und ALT RIGHT abfangen
 	if((event.keyCode == 37 && event.altKey) ||
	(event.keyCode == 39 && event.altKey))
	{
		return false;
	}
} 

function OnLoad()
{
	/* netten MouseOver-Text basteln */
	//var strTitle = 'Schritt '+aktuell+' von '+gesamt+' (';
	//strTitle += Math.floor((aktuell*100)/gesamt)+'%)';
	/* Balkenbreite und Text */
	//document.getElementById('balken').style.width = breite+'px';
	//document.getElementById('balken').title = strTitle;
	/* Maskenbreite und Text */
	//document.getElementById('whitemask').style.width = 
	//	Math.floor(((gesamt-aktuell)*breite)/gesamt)+'px';
	//document.getElementById('whitemask').title = strTitle;
}


//diese Funtkion sollte dann auf der Seite aufgerufen werden
//es wird an der Aufrufstelle der Text geschrieben (document.write)
//
//der Aufruf in den HTMl-Seiten sieht dann so aus:
//<script>WriteFullFboxTitle();</script>
function WriteFullFboxTitle()
{
	document.write(g_szFullFboxTitle);
}

function WriteShortFboxTitle()
{
	document.write(g_szShortFboxTitle);
}

function WriteFboxTitle()
{
	document.write(g_szFboxTitle);
}
function WriteFboxSSID()
{
	document.write(g_szFboxSSID);
}

function WriteFWLANName()
{
	document.write(g_szFWLAN);
}
function WriteFullFWLANName()
{
	document.write(g_szFullFWLAN);
}
function WriteCopyright()
{
	document.write(g_szCopyright);
}

function applyShadow(targetElement, shadowColor, shadowOffset) {
  if (typeof(targetElement) != 'object') {
    targetElement = document.getElementById(targetElement);
  }
  var value = targetElement.firstChild.nodeValue;
  targetElement.style.position = 'relative';
  targetElement.style.zIndex = 1;
    
  var newEl = document.createElement('span');
  newEl.appendChild(document.createTextNode(value));
  newEl.className = 'shadowed';
  newEl.style.color = shadowColor;
  newEl.style.position = 'absolute';
  newEl.style.left = shadowOffset + 'px';
  newEl.style.top = shadowOffset + 'px';
  newEl.style.zIndex = -1;
  
  targetElement.appendChild(newEl);
}



